Subject: Re: [TR] Triumph Bendix Radio

From: "Tim Tucker" <[email-masked]>
Date: Tue, 13 Aug 2013 19:40:53 -0400

I found this:
http://www.vintagetriumphregister.org/forum/index.php?topic=1052.0

hope it helps.  I have a 5BTRP
Tim

>Re: Triumph Bendix Radio
>< Reply #2 on: October 26, 2010, 02:16:34 PM >
>Thanks to all. Problem solved. Polarity switch position is UP for positive
ground. First thing I did was mark the case so it's never in doubt.
>John Finlayson
>'62 TR4

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of John Finlayson
Sent: Friday, October 22, 2010 6:58 PM
To: [email-masked]
Subject: [TR] Triumph Bendix Radio

I have a 1967 Triumph radio, manufactured by Bendix. The model number is
7BTRX. On the left side of the case near the rear is a polarity switch. Does
anyone know which way the switch should be set for positive ground, up or
down? There is no indication on the radio which way to set it and I don't
want to apply power till I know which way to set it.

Any help would be greatly appreciated.

Thanks
John Finlayson
_______________________________________________
[email-masked]
Archive: http://www.team.net/archive
Manage your account:
http://autox.team.net/mailman/options/triumphs/[email-masked]

** [email-masked] **

Archive: http://www.team.net/archive